#include <iostream>
using namespace std;
int main()
{
    int n,k;
	cin>>n>>k;
	int a[n];
	for(int i=0;i<n;i++)
	{
		cin>>a[i];
	}	
	
	for(int i = 0; i < n; i++)
            {
                for(int j = i; j < n; j++)
                {
                    if (a[i] > a[j])
                    {
                        int t = a[i];
                        a[i] = a[j];
                        a[j] = t;
                    }
                }
            }
            
            int s = 0;
            int p[n];
            int b =1;
            int b2 = 0;
            for (int i = 0; i < n; i++)
            {
                if (i + 1 < n)
                {


                    if (a[i] == a[i + 1])
                    {
                        b++;
                    }
                    else
                    {
                        if (b >= k)
                        {
                            s++;
                            b = 1;
                            p[b2] = a[i];
                            b2++;
                        }
                    }
                }
            }
            if (b >= k)
            {
                s++;
                p[b2] = a[n - 1];
            }
            
            cout<<s<<endl;
            for(int i = 0; i < s; i++)
            {
                cout<<p[i]<<" ";
            }
            return 0;
}